#
%bcond_without	doc
#
%define		module pyogg
%define		dver	1-0-0
Summary:	Pyzor - a collaborative system to detect and block spam
Summary(pl.UTF-8):	Pyzor - współpracujący system do wykrywania i blokowania spamu
Name:		pyzor
Version:	1.0.0
Release:	1
License:	GPL v2
Group:		Applications/Mail
Source0:	https://github.com/SpamExperts/pyzor/archive/release-%{dver}.tar.gz
# Source0-md5:	82b351cbf7594974240d655e2e98f20c
URL:		http://pyzor.org/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collaborative system to detect and block spam.

Pyzor initially started out to be merely a Python implementation of
Razor, but due to the protocol and the fact that Razor's server is not
Open Source or software libre, the author decided to impelement Pyzor
with a new protocol and release the entire system as Open Source and
software libre.

%description -l pl.UTF-8
Współpracujący system do wykrywania i blokowania spamu.

Pyzor początkowo miał być pythonową implementacją Razora, ale z powodu
protokołu i faktu, że serwer Razora nie jest wolnodostępnym
oprogramowaniem z otwartymi źródłami, autor zdecydował się
zaimplementować Pyzora z nowym protokołem i wydać cały system jako
oprogramowanie wolnodostępne z otwartymi źródłami.

%prep
%setup -q -n %{name}-release-%{dver}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/pyzor/*.py
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/pyzor/*/*.py

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst THANKS %{?with_doc:docs/.build/html}
%attr(755,root,root) %{_bindir}/*
%dir %{py_sitescriptdir}/pyzor
%{py_sitescriptdir}/pyzor/*.py[co]
%dir %{py_sitescriptdir}/pyzor/engines
%{py_sitescriptdir}/pyzor/engines/*.py[co]
%dir %{py_sitescriptdir}/pyzor/hacks
%{py_sitescriptdir}/pyzor/hacks/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/pyzor-%{version}-py*.egg-info
%endif
%changelog
* Mon Feb 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pyzor.git;a=log;h=master

* Mon Feb 16 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b75745e
- up to 1.0.0

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> c8247e7
- use Applications/Mail group (hope it's ok)
- BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 87ad2de
- release 2

* Mon May 25 2009 Paweł Gołaszewski <blues@pld-linux.org> b42e88b
- 0.5.0 - removed outdated patches

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 55e99d3
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5aa0cdc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 09690b9
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 1c50661
- mass commit: remove obsolete BR: rpm-pythonprov

* Sun Jan 09 2005 saq <saq@pld-linux.org> f8d89f9
- fix *.py* placement
- release 3

* Sun Jan 09 2005 saq <saq@pld-linux.org> 3cf7dbd
- missing pyreqeq, release 2

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> d7517aa
- removed %%include /usr/lib/rpm/macros.python

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> 1d2d49e
- pl, attr fix

* Thu Dec 04 2003 ankry <ankry@pld-linux.org> c1a2990
- fixed md5

* Wed Dec 03 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ac2629
- new

* Wed Dec 03 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> 5dbc2ad
- initial pld release

